# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Enum Service.GDataRequest.RequestType

    java.lang.Object
      java.lang.Enum<Service.GDataRequest.RequestType>
          com.google.gdata.client.Service.GDataRequest.RequestType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Service.GDataRequest.RequestType>

Enclosing interface:
  Service.GDataRequest

    public static enum Service.GDataRequest.RequestType

extends java.lang.Enum<Service.GDataRequest.RequestType>

The RequestType enumeration defines the set of expected GData request types. These correspond to the four operations of the GData protocol:

- QUERY - query a feed, entry, or description document.
- INSERT - insert a new entry into a feed.
- UPDATE - update an existing entry within a feed.
- PATCH - patch an existing entry within a feed.
- DELETE - delete an existing entry within a feed.
- BATCH - execute several insert/update/delete operations

Enum Constant Summary
`BATCH`
`DELETE`
`INSERT`
`PATCH`
`QUERY`
`UPDATE`

Method Summary
`static Service.GDataRequest.RequestType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Service.GDataRequest.RequestType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUERY

    public static final Service.GDataRequest.RequestType QUERY

### INSERT

    public static final Service.GDataRequest.RequestType INSERT

### UPDATE

    public static final Service.GDataRequest.RequestType UPDATE

### PATCH

    public static final Service.GDataRequest.RequestType PATCH

### DELETE

    public static final Service.GDataRequest.RequestType DELETE

### BATCH

    public static final Service.GDataRequest.RequestType BATCH

Method Detail

### values

    public static Service.GDataRequest.RequestType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Service.GDataRequest.RequestType c : Service.GDataRequest.RequestType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Service.GDataRequest.RequestType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null